Subject: bug#65520: 30.0.50; [FR Xref] Project-wide operations

From: Dmitry Gutov <[email-masked]>
Date: Fri, 25 Aug 2023 19:26:39 +0300

On 25/08/2023 10:48, Eshel Yaron wrote:
> The way I'd suggest structuring it is
> introducing a new command `project-find-definitions` that prompts for an
> identifier defined in the current project and jumps to it, similarly to
> `xref-find-definitions` but limited to the current project and not
> limited to the current `xref` backend.

To make this work ootb (as opposed to custom user setup), this would 
require some global-ish registry of languages available in a project.

project.el itself is unlikely to help too much, but it could host the 
new variable(s).